Name: ddcui
Version: 0.6.0
Release: alt1

Summary: Graphical utility to query and update monitor settings
Group: System/Configuration/Hardware
License: GPL-2.0-or-later
Url: http://github.com/rockowitz/%name

Vcs: https://github.com/rockowitz/ddcui.git

Source: %url/archive/v%version/%name-%version.tar.gz

%define ddcutil_ver 2.2.0
%define glib_ver 2.60
%define qt_ver 6.1

BuildRequires(pre): rpm-macros-cmake rpm-build-systemd
BuildRequires: cmake pkgconfig(glib-2.0) >= %glib_ver
BuildRequires: libddcutil-devel >= %ddcutil_ver
BuildRequires: pkgconfig(Qt6Widgets) >= %qt_ver
BuildRequires: pkgconfig(Qt6Core)
BuildRequires: pkgconfig(Qt6Gui)
BuildRequires: pkgconfig(Qt6Help)

%description
%name is a graphical user interface for ddcutil.


%prep
%setup

%build
%add_optflags %(getconf LFS_CFLAGS)
%cmake \
    -DUSE_QT6=ON \
    -DCMAKE_INSTALL_DOCDIR:STRING="%_defaultdocdir/%name-%version"
%nil
%cmake_build

%install
%cmake_install

%files
%_bindir/%name
%_modulesloaddir/%name.conf
%_desktopdir/%name.desktop
%_man1dir/%name.1*
%_iconsdir/hicolor/*x*/apps/*.png
%_datadir/metainfo/%name.appdata.xml
%doc AUTHORS NEWS.md README.md CHANGELOG.md

%changelog
* Tue Feb 18 2025 Yuri N. Sedunov <aris@altlinux.org> 0.6.0-alt1
- 0.6.0

* Sat Jun 22 2024 Yuri N. Sedunov <aris@altlinux.org> 0.5.4-alt1.1
- rebuilt with new systemd macros

* Wed Feb 14 2024 Yuri N. Sedunov <aris@altlinux.org> 0.5.4-alt1
- 0.5.4

* Thu Feb 08 2024 Yuri N. Sedunov <aris@altlinux.org> 0.5.3-alt1
- 0.5.3

* Sun Jan 28 2024 Yuri N. Sedunov <aris@altlinux.org> 0.5.2-alt1
- 0.5.2

* Thu Jan 18 2024 Yuri N. Sedunov <aris@altlinux.org> 0.5.0-alt1
- 0.5.0

* Fri Sep 29 2023 Yuri N. Sedunov <aris@altlinux.org> 0.4.2-alt1
- 0.4.2

* Wed Aug 03 2022 Yuri N. Sedunov <aris@altlinux.org> 0.3.0-alt1
- 0.3.0

* Sat May 07 2022 Yuri N. Sedunov <aris@altlinux.org> 0.2.1-alt1
- first build for Sisyphus


